offshore.controller('CountyCtrl', function(
	$http,
	$interval,
	$location,
	$scope,
	$stateParams,
	weatherServerUrl
) {
	function loadWeather() {
		angular.forEach($scope.beaches, function(beach) {
			$http.get(weatherServerUrl + 'wunderground/' + beach.wundergroundSlug, {
				responseType: 'json'
			}).success(function(wunderground) {
				beach.wunderground = wunderground;
			});
		});
	}


	$scope.goBack = function() {
		$location.path('/counties');
	};


	$scope.$watch(function() {
		return $scope.counties && $stateParams.county;
	}, function(county) {
		$scope.county = county;

		angular.forEach($scope.counties, function(otherCounty) {
			if (otherCounty.name == county)
				$scope.beaches = otherCounty.beaches;
		});

		loadWeather();
	});


	$interval(loadWeather, 3*60*1000);
});