offshore.controller('LoginCtrl', function(
	$http,
	$ionicLoading,
	$ionicPopup,
	$location,
	$scope,
	$window,
	offshoreApiUrl
) {
	$scope.login = function() {
		$ionicLoading.show();

		var login = {
			username: $scope.username,
			password: $scope.password
		};

		$http.get(offshoreApiUrl + 'login/', {
			params: login
		}).success(function(result) {
			if (result == 'Success') {
				$window.localStorage['login'] = angular.toJson(login);
				$location.path('/counties');
			} else {
				$ionicPopup.alert({
					title: result
				});
			}
		}).error(function() {
			$ionicPopup.alert({
				title: 'Error Logging In',
				template: 'An error occurred while logging in.&nbsp; Please try again.'
			});
		}).finally(function() {
			$ionicLoading.hide();
		});
	};


	try {
		var storedLogin = $window.localStorage['login'];
		if (storedLogin) {
			storedLogin = angular.fromJson(storedLogin);
			$scope.username = storedLogin.username;
			$scope.password = storedLogin.password;
			$scope.login();
		}
	} catch(error) {
	}


	function setLandscape() {
		var orientation = $window.orientation;
		$scope.landscape = orientation == 90 || orientation == -90;
	}
	setLandscape();
	$window.addEventListener('orientationchange', function() {
		$scope.$apply(setLandscape);
	});
});